%define rel   1

Name: libkipi
Summary: Interface to use kipi-plugins for KDE
Version: 4.8.2
Release: %mkrel %{rel}
Epoch: 2
Group: Graphics
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libkipi
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}

# Branch Patch (100-200)

%description
Libkipi is an interface to use kipi-plugins from a KDE image management
program like digiKam (http://www.digikam.org).

#------------------------------------------------------------------------------

%package -n kipi-common
Summary: Non-library files for the kipi library
Group: Graphics
BuildArch: noarch
%description -n kipi-common
Libkipi is an interface to use kipi-plugins from a KDE image management
program like digiKam (http://www.digikam.org).

This packages provides the common files needed by kipi library.

%files -n kipi-common
%doc README TODO AUTHORS
%_kde_appsdir/kipi
%_kde_iconsdir/*/*/*/kipi.*
%_kde_servicetypes/kipiplugin.desktop

#------------------------------------------------------------------------------

%define kipi_major 8
%define libkipi %mklibname kipi %kipi_major

%package -n %libkipi
Summary: Libkipi runtime library
Group: System/Libraries

%description -n %libkipi
Libkipi is an interface to use kipi-plugins from a KDE image management
program like digiKam (http://www.digikam.org).

This package provides the runtime library.

%files -n %libkipi
%_kde_libdir/libkipi.so.%{kipi_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: %{libkipi} = %epoch:%version-%release
Conflicts: kdegraphics4-devel < 2:4.6.90

%description devel
This package contains header files needed if you wish to build applications
based on %name.

%files devel
%_kde_includedir/%name
%_kde_libdir/libkipi.so
%_kde_libdir/pkgconfig/libkipi.pc

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228486
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221509
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198113
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 190875
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185789
- Update tarball to KDE SC 4.7.95

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 182177
- Update tarball to KDE SC 4.7.90
- use gold for linker
- build with -DKDE4_ENABLE_FINAL=ON
- Update URL & description

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176521
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161402
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151981
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140672
- Update tarball to KDE SC 4.7.1
- build -common package as noarch
- Remove %%clean section
- Remove %%defattr
- Update tarball to KDE SC 4.7.0

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122310
- Update tarball to KDE 4.6.90 ( KDE SC 4.7 RC2)

* Wed Jun 29 2011 fwang <fwang> 2:4.6.90-1.mga2
+ Revision: 115561
- add versioned requires for common package
- renmae libkipi-common to kipi-common, to be more compatible with older package
- add conflicts on older kdegraphics4-devel for easier upgrading

  + mikala <mikala>
    - imported package libkipi

